explain_fsync_or_die(3)

NAME
explain_fsync_or_die - synchronize a file with storage device and report errors

SYNOPSIS
#include <libexplain/fsync.h>

void explain_fsync_or_die(int fildes);
int explain_fsync_on_error(int fildes);

DESCRIPTION
The explain_fsync_or_die function is used to call the fsync(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fsync(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fsync_on_error function is used to call the fsync(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fsync(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fsync(2) system call.

RETURN VALUE
The explain_fsync_or_die function only returns on success, see fsync(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fsync_on_error function always returns the value return by the wrapped fsync(2) system call.

EXAMPLE
The explain_fsync_or_die function is intended to be used in a fashion similar to the following example:
    explain_fsync_or_die(fildes);

SEE ALSO

fsync(2)
    synchronize a file's in-core state with storage device

explain_fsync(3)
    explain fsync(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller